Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AjaxOptions

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.richfaces.renderkit.AjaxOptions

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public class AjaxOptions

extends org.ajax4jsf.javascript.ScriptStringBase

Since:
  4.0
Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `CLIENT_PARAMETERS`
`static java.lang.String` | `PARAMETERS`

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`AjaxOptions()`

Method Summary
`void` | `addParameters(java.util.Map<java.lang.String,java.lang.Object> params)`
`void` | `appendScript(java.lang.Appendable target)`
`java.lang.Object` | `get(java.lang.String optionName)`
`java.lang.Object` | `getAjaxComponent()`
`java.lang.Object` | `getBeforesubmitHandler()`
`java.lang.Object` | `getClientParameters()`
`java.lang.Object` | `getParameter(java.lang.String parameterName)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()`
`boolean` | `hasParameters()`
`boolean` | `isEmpty()`
`void` | `remove(java.lang.String optionName)`
`void` | `removeParameter(java.lang.String parameterName)`
`void` | `set(java.lang.String optionName, java.lang.Object optionValue)`
`void` | `setAjaxComponent(java.lang.Object ajaxComponent)`
`void` | `setBeforesubmitHandler(java.lang.Object beforesubmitHandler)`
`void` | `setClientParameters(java.lang.Object value)`
`void` | `setParameter(java.lang.String parameterName, java.lang.Object parameterValue)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAMETERS

    public static final java.lang.String PARAMETERS

See Also:
  Constant Field Values

### CLIENT_PARAMETERS

    public static final java.lang.String CLIENT_PARAMETERS

See Also:
  Constant Field Values

Constructor Detail

### AjaxOptions

    public AjaxOptions()

Method Detail

### appendScript

    public void appendScript(java.lang.Appendable target)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### isEmpty

    public boolean isEmpty()

### get

    public java.lang.Object get(java.lang.String optionName)

### set

    public void set(java.lang.String optionName,
                    java.lang.Object optionValue)

### remove

    public void remove(java.lang.String optionName)

### hasParameters

    public boolean hasParameters()

### getParameters

    public java.util.Map<java.lang.String,java.lang.Object> getParameters()

### getParameter

    public java.lang.Object getParameter(java.lang.String parameterName)

### setParameter

    public void setParameter(java.lang.String parameterName,
                             java.lang.Object parameterValue)

### addParameters

    public void addParameters(java.util.Map<java.lang.String,java.lang.Object> params)

### removeParameter

    public void removeParameter(java.lang.String parameterName)

### getClientParameters

    public java.lang.Object getClientParameters()

### setClientParameters

    public void setClientParameters(java.lang.Object value)

### getAjaxComponent

    public java.lang.Object getAjaxComponent()

### setAjaxComponent

    public void setAjaxComponent(java.lang.Object ajaxComponent)

### getBeforesubmitHandler

    public java.lang.Object getBeforesubmitHandler()

### setBeforesubmitHandler

    public void setBeforesubmitHandler(java.lang.Object beforesubmitHandler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.